/// <reference types="youtube" />
import { YoutubeState } from '../components/UiYoutubePlayerModel';
declare const _default: import("vue").DefineComponent<{
    play: {
        type: import("vue").PropType<boolean>;
    };
    loop: {
        type: import("vue").PropType<boolean>;
    };
    autoplay: {
        type: import("vue").PropType<boolean>;
    };
    height: {
        type: import("vue").PropType<string>;
    };
    src: {
        type: import("vue").PropType<string>;
    };
    width: {
        type: import("vue").PropType<string>;
    };
    preventCopy: {
        type: import("vue").PropType<boolean>;
        default: () => boolean;
    };
    controls: {
        type: import("vue").PropType<boolean>;
    };
    muted: {
        type: import("vue").PropType<boolean>;
    };
    poster: {
        type: import("vue").PropType<string>;
    };
    smPoster: {
        type: import("vue").PropType<string>;
    };
    mdPoster: {
        type: import("vue").PropType<string>;
    };
    lgPoster: {
        type: import("vue").PropType<string>;
    };
    xlPoster: {
        type: import("vue").PropType<string>;
    };
    playsinline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    cover: {
        type: import("vue").PropType<boolean>;
    };
    intersectedPlay: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}, {
    youtube: import("vue").Ref<import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string>;
            required: true;
        };
        height: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        width: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        host: {
            type: import("vue").PropType<string>;
            default: string;
        };
        vars: import("vue").PropType<YT.PlayerVars>;
    }, unknown, {
        promise: Promise<void>;
        resolver: () => void;
        player: YT.Player | null;
        initiated: boolean;
        ready: boolean;
        iframeStyle: Record<string, string>;
    }, {
        id(): string;
        wrapperStyle(): Record<string, string>;
    }, {
        initPlayer(): void;
        cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        playVideo(): void;
        pauseVideo(): void;
        stopVideo(): void;
        seekTo(seconds: number, allowSeekAhead: boolean): void;
        nextVideo(): void;
        previousVideo(): void;
        playVideoAt(index: number): void;
        mute(): void;
        unMute(): void;
        isMuted(): boolean;
        setVolume(volume: number): void;
        getVolume(): number;
        getPlaybackRate(): number;
        setPlaybackRate(suggestedRate: number): void;
        getAvailablePlaybackRates(): number[];
        setLoop(loopPlaylists: boolean): void;
        setShuffle(shufflePlaylist: boolean): void;
        getVideoLoadedFraction(): number;
        getPlayerState(): YT.PlayerState;
        getCurrentTime(): number;
        getPlaybackQuality(): YT.SuggestedVideoQuality;
        setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
        getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
        getDuration(): number;
        getVideoUrl(): string;
        getVideoEmbedCode(): string;
        getPlaylist(): string[];
        getPlaylistIndex(): number;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        src: string;
        height: string | number;
        width: string | number;
        host: string;
    } & {
        vars?: YT.PlayerVars | undefined;
    }>, {
        height: string | number;
        width: string | number;
        host: string;
    }, {}>>;
    play: () => void;
    stop: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (state: YoutubeState) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    play: {
        type: import("vue").PropType<boolean>;
    };
    loop: {
        type: import("vue").PropType<boolean>;
    };
    autoplay: {
        type: import("vue").PropType<boolean>;
    };
    height: {
        type: import("vue").PropType<string>;
    };
    src: {
        type: import("vue").PropType<string>;
    };
    width: {
        type: import("vue").PropType<string>;
    };
    preventCopy: {
        type: import("vue").PropType<boolean>;
        default: () => boolean;
    };
    controls: {
        type: import("vue").PropType<boolean>;
    };
    muted: {
        type: import("vue").PropType<boolean>;
    };
    poster: {
        type: import("vue").PropType<string>;
    };
    smPoster: {
        type: import("vue").PropType<string>;
    };
    mdPoster: {
        type: import("vue").PropType<string>;
    };
    lgPoster: {
        type: import("vue").PropType<string>;
    };
    xlPoster: {
        type: import("vue").PropType<string>;
    };
    playsinline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    cover: {
        type: import("vue").PropType<boolean>;
    };
    intersectedPlay: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}>> & {
    onChange?: ((state: YoutubeState) => any) | undefined;
}, {
    preventCopy: boolean;
    playsinline: boolean;
    intersectedPlay: boolean;
}, {}>;
export default _default;
